Subject: bug#37202: shadowfile-tests: two failures on macOS

From: Stefan Kangas <[email-masked]>
Date: Mon, 16 Sep 2019 04:07:45 +0200

Michael Albinus <[email-masked]> writes:

Hi Michael,

> > shadow-add-to-todo: /var/folders/pj/rhx0gxy15tv3vx6l3mdy0qvm0000gn/T/shadowfile-testsUMHFDw /private/var/folders/pj/rhx0gxy15tv3vx6l3mdy0qvm0000gn/T/shadowfile-testsUMHFDw
>
> This tells us, that we must not only use the truename of
> shadow-test-remote-temporary-file-directory, but also of
> temporary-file-directory. I've pushed a fix to master, let's see how it runs.

That seems to have done the trick; I see no more failures.  I'll send
you the test log privately, but I think the relevant line is this one:

Ran 10 tests, 10 results as expected, 0 unexpected (2019-09-15
22:02:48+0200, 8.197759 sec)

Congratulations!  And thanks for investigating and fixing it.

Best regards,
Stefan Kangas